<?php

/**
* Plugin Name: OVIS Wordpress Plugin
* Description: De OVIS Wordpress plugin maakt het mogelijk om uw OVIS-aanbod simpel en snel in een Wordpress website weer te geven.
* Version: 2.4.3
* Release: 20231123
* Author: Internet Service Nederland B.V.
**/

require(plugin_dir_path(__FILE__) . 'include/inc_config.php');
require(plugin_dir_path(__FILE__) . 'include/inc_functions.php');
require(plugin_dir_path(__FILE__) . 'include/inc_languages.php');

/**
*
* Register hook that installs necessary database tables on activation
*
**/

register_activation_hook(__FILE__, 'ovis_db_install');
register_activation_hook(__FILE__, 'ovis_data_install');

/**
*
* Register hook that uninstalls database tables on uninstall
*
**/

register_uninstall_hook(__FILE__, 'ovis_db_uninstall');

/**
*
* Add action to register plugin menu
*
**/

add_action('admin_menu', 'register_menu');